org.apache.xmlbeans.impl.tool

## Class XSTCTester.TestCase

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.XSTCTester.TestCase

- Enclosing class:
    XSTCTester

      public static class XSTCTester.TestCase
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getErrorCode()`
    `String` | `getId()`
    `File` | `getInstanceFile()`
    `File` | `getLtgFile()`
    `String` | `getOrigin()`
    `File` | `getResourceFile()`
    `File` | `getSchemaFile()`
    `boolean` | `isIvExpected()`
    `boolean` | `isRvExpected()`
    `boolean` | `isSvExpected()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCase

          public TestCase()

  - ### Method Detail

    - #### getLtgFile

          public File getLtgFile()

    - #### getId

          public String getId()

    - #### getOrigin

          public String getOrigin()

    - #### getDescription

          public String getDescription()

    - #### getSchemaFile

          public File getSchemaFile()

    - #### getInstanceFile

          public File getInstanceFile()

    - #### getResourceFile

          public File getResourceFile()

    - #### isSvExpected

          public boolean isSvExpected()

    - #### isIvExpected

          public boolean isIvExpected()

    - #### isRvExpected

          public boolean isRvExpected()

    - #### getErrorCode

          public String getErrorCode()